/* CSS Document */

.u-unselectable {
	pointer-events: none !important;
	user-select: none !important;
}

.u-hl-trim:where(._top2)::before {
	content: "";
	display: block;
	width: 0;
	height: 0.01px;
	margin-block-start: calc(var(--half-leading-trim) - var(--ascender));
}

.u-hl-trim:where(._bottom)::after {
	content: "";
	display: block;
	width: 0;
	height: 0.01px;
	margin-block-end: var(--half-leading-trim);
}

.u-svg {
	max-width: 100%;
	height: auto;
}

.u-button {
	margin: 0;
	padding: 0;
	border: none;
	color: inherit;
	font-family: inherit;
	font-size: inherit;
	font-weight: inherit;
	line-height: inherit;
	text-align: inherit;
	background-color: transparent;
	cursor: pointer;
	-webkit-appearance: none;
	-moz-appearance: none;
}

.u-nb {
	display: inline-block;
	margin: 0;
	padding: 0;
	border: 0;
	font-weight: inherit;
	text-decoration: inherit;
	text-indent: 0;
}

.u-wbr-wrapper {
	word-break: keep-all !important;
	overflow-wrap: anywhere !important;
}

.u-c\:primary {
	color: var(--color-primary) !important;
}

.u-c\:secondary {
	color: var(--color-secondary) !important;
}

.u-bg\:primary {
	background-color: var(--color-primary) !important;
}

.u-bg\:bg-ash-light {
	background-color: var(--color-bg-ash-light) !important;
}

.u-bg\:light {
	background-color: var(--color-light) !important;
}

.u-typography\:std_sm {
	font-family: var(--typography-std_sm-font-family);
	font-weight: var(--typography-std_sm-font-weight);
	font-size: var(--typography-std_sm-font-size);
	line-height: var(--typography-std_sm-line-height);
	--letter-spacing: var(--typography-std_sm-letter-spacing);
}

.u-typography\:std_xs {
	font-family: var(--typography-std_xs-font-family);
	font-weight: var(--typography-std_xs-font-weight);
	font-size: var(--typography-std_xs-font-size);
	line-height: var(--typography-std_xs-line-height);
	--letter-spacing: var(--typography-std_xs-letter-spacing);
}

.u-typography\:std_lg {
	font-family: var(--typography-std_lg-font-family);
	font-weight: var(--typography-std_lg-font-weight);
	font-size: var(--typography-std_lg-font-size);
	line-height: var(--typography-std_lg-line-height);
	--letter-spacing: var(--typography-std_lg-letter-spacing);
}

.u-bdrs {
	border-radius: var(--radius) !important;
}

.u-d\:b {
	display: block !important;
}

.u-d\:n {
	display: none !important;
}

.u-d\:f {
	display: flex !important;
}

.u-cg\:10 {
	column-gap: 10px !important;
}

.u-rg\:xxxs {
	row-gap: var(--space-block-xxxs) !important;
}

.u-mb\:0 {
	margin-block-end: 0px !important;
}

.u-mr\:5 {
	margin-inline-end: 5px !important;
}

.u-ml\:5 {
	margin-inline-start: 5px !important;
}

.u-pt\:section {
	padding-block-start: var(--space-block-section) !important;
}

.u-pb\:section {
	padding-block-end: var(--space-block-section) !important;
}

.u-mb\:lg {
	margin-block-end: var(--space-block-lg) !important;
}

.u-pt\:lg {
	padding-block-start: var(--space-block-lg) !important;
}

.u-pb\:lg {
	padding-block-end: var(--space-block-lg) !important;
}

.u-mt\:sm {
	margin-block-start: var(--space-block-sm) !important;
}

.u-mb\:sm {
	margin-block-end: var(--space-block-sm) !important;
}

.u-pt\:sm {
	padding-block-start: var(--space-block-sm) !important;
}

.u-mt\:xs {
	margin-block-start: var(--space-block-xs) !important;
}

.u-mb\:xs {
	margin-block-end: var(--space-block-xs) !important;
}

.u-pb\:xs {
	padding-block-end: var(--space-block-xs) !important;
}

.u-mb\:xxs {
	margin-block-end: var(--space-block-xxs) !important;
}

.u-mb\:xxxs {
	margin-block-end: var(--space-block-xxxs) !important;
}

.u-pt\:xxxs {
	padding-block-start: var(--space-block-xxxs) !important;
}

.u-mb\:xxxxs {
	margin-block-end: var(--space-block-xxxxs) !important;
}

.u-pt\:xxxxs {
	padding-block-start: var(--space-block-xxxxs) !important;
}

.u-mb\:md-trim {
	margin-block-end: var(--space-block-md-trim) !important;
}

.u-mb\:sm-trim {
	margin-block-end: var(--space-block-sm-trim) !important;
}

.u-pb\:xs-trim {
	padding-block-end: var(--space-block-xs-trim) !important;
}

.u-mt\:xxs-trim {
	margin-block-start: var(--space-block-xxs-trim) !important;
}

.u-mi\:a {
	margin-inline: auto !important;
}

.u-ta\:r {
	text-align: right !important;
}

.u-ta\:c {
	text-align: center !important;
}

.u-trsde\:d3 {
	transition-delay: 0.3s !important;
}

.u-trsde\:d6 {
	transition-delay: 0.6s !important;
}

/*.ruby{ display: ruby; }

.ruby:after {
	content: attr(title);
	display: ruby-text;
	font-size: 0.6em;
}*/

.u-td\:u {
	text-decoration: underline !important;
}

.u-td\:n\@hov:focus-visible {
	text-decoration: none !important;
}



@media (hover: hover) and (pointer: fine) {

.u-td\:n\@hov:hover {
	text-decoration: none !important;
}

}

@media (width <= 1000px) {

.u-pb\:xxs\@lg {
	padding-block-end: var(--space-block-xxs) !important;
}

.u-pb\:xxxs\@lg {
	padding-block-end: var(--space-block-xxxs) !important;
}

.u-mi\:a\@lg {
	margin-inline: auto !important;
}

}

@media (width <= 900px) {

.u-d\:rv\@md {
	display: revert !important;
}

}

@media (width <= 768px) {

.u-d\:n\@sm {
	display: none !important;
}

}

@media (width <= 600px) {

.u-d\:n\@sm3 {
	display: none !important;
}

.u-fxd\:c\@sm3 {
	flex-direction: column !important;
}

}

